package com.huigou.topsun.sap.cashSettlementUnPay.application;


import com.huigou.topsun.sap.cashSettlementUnPay.domain.CashSettlementUnPayItem;
import com.huigou.topsun.sap.cashSettlementUnPay.domain.query.CashSettlementUnPayQueryRequest;

import java.util.List;
import java.util.Map;

/**
 * @Auther: LXH
 * @Date: 2024/03/26/10:35
 * @Description:
 */
public interface CashSettlementUnPayItemApplication {
    public static final String QUERY_XML_FILE_PATH = "config/topsun/sap/cashSettlementUnPay/cashSettlementUnPay.xml";
    void saveCashSettlementUnPayItems(String cashSettlementUnPayId, List<CashSettlementUnPayItem> items);

    Map<String,Object> queryCashSettlementUnPayItems(CashSettlementUnPayQueryRequest queryRequest);

    void deleteByIds(List<String> ids);

    List<CashSettlementUnPayItem> findByCashSettlementUnPayId(String sapPermitId);

    void updateCashSettlementUnPayItem(String id, String advanceReceiptNo);
}
